Item Index

Get all items.

Query Parameters
  • page
    Type: string
    min length:  
    1

    page offset to display a range of records from

  • per_page
    Type: string
    min length:  
    1

    maximum number of records to return in the search

  • search_text
    Type: string

    search for records containing the text

  • sort_by
    Type: stringenum

    order the returned records by a specified field

    values
    • id
    • name
    • number
    • created_at
  • order
    Type: stringenum

    sort the records in either ascending (asc) or descending (desc) order

    values
    • asc
    • desc
Headers
  • Content-Type
    Type: string

    application/json

Responses
  • application/json
  • 401

    Unauthorized

  • 500

    Internal Server Error

Request Example for get/items
curl '/items?page=1&per_page=5000&search_text=&sort_by=id&order=asc' \
  --header 'Content-Type: application/json' \
  --header 'X-Auth-Token: YOUR_SECRET_TOKEN'
{
  "page": 1,
  "per_page": 1,
  "total_entries": 1,
  "total_pages": 1,
  "items": [
    {
      "Item": {
        "name": "string",
        "code": "string",
        "merchant_id": null,
        "manufacturer_id": null,
        "item_type": "item"
      },
      "errors": {}
    }
  ]
}